using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("Lawyers")]
    public class Lawyer
    {
        [Column("CommissionExpiration")]
        public DateTime? CommissionExpiration { get; set; }

        [Column("CommissionLocation")]
        public string? CommissionLocation { get; set; }

        [Column("CommissionNumber")]
        public string? CommissionNumber { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("IBPNumber")]
        public string? IBPNumber { get; set; }

        [Column("Lawyer_UID")]
        public Guid? Lawyer_UID { get; set; }

        [Column("LawyerID")]
        public int LawyerID { get; set; }

        public List<LawyerVideoConferenceSchedule> LawyerVideoConferenceSchedules { get; set; }

        [Column("MCLEComplianceNumber")]
        public string? MCLEComplianceNumber { get; set; }

        [Column("MCLEDate")]
        public DateTime? MCLEDate { get; set; }

        [Column("OfficeAddress")]
        public string? OfficeAddress { get; set; }

        [Column("PTRDate")]
        public DateTime? PTRDate { get; set; }

        [Column("PTRlocation")]
        public string? PTRlocation { get; set; }

        [Column("PTRNumber")]
        public string? PTRNumber { get; set; }

        [Column("Rollnumber")]
        public string? Rollnumber { get; set; }

        [Column("Status")]
        public string? Status { get; set; }

        [ForeignKey("UserID")]
        public User User { get; set; }

        [Column("UserID")]
        public int UserID { get; set; }
    }
}